Page MenuHomePhabricator

labstore1001,1002,2001,2002: status clarification
Open, LowPublic

Description

labstore1001,1002,2001,2002 all have role::spare in puppet and are marked ACTIVE in Netbox:

The servers are currently racked and powered on, but apparently serving no purpose.
This seems like an inconsistency according to https://wikitech.wikimedia.org/wiki/Server_Lifecycle

A status clarification should probably be done. My initial feeling is that these server should be powered off and unracked.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 28 2019, 11:51 AM
aborrero assigned this task to Andrew.Jan 28 2019, 11:52 AM
aborrero triaged this task as Normal priority.
aborrero moved this task from Inbox to Needs discussion on the cloud-services-team (Kanban) board.

This needs some discussion. Assigning task to @Andrew to see if he as any hint. Please assign back to me once we have more data.

aborrero renamed this task from labstore2001: status clarification to labstore2001 & labstore2002: status clarification.Jan 28 2019, 11:58 AM
aborrero updated the task description. (Show Details)

Same for labstore2002

aborrero closed this task as Resolved.Jan 28 2019, 4:40 PM
aborrero lowered the priority of this task from Normal to Lowest.
aborrero moved this task from Needs discussion to Graveyard on the cloud-services-team (Kanban) board.

This is probably related to procurement ticket {T210666}, in which:

  • labstore2001 (spare)
  • labstore2002 (spare)
  • labstore2003 (tools backup from labstore1004/1005)
  • labstore2004 (misc backup from labstore1004/1005)

Are all being replaced by a couple of servers:

  • cloudbackup2001
  • cloudbackup2002

(replacement names are just proposals)

aborrero claimed this task.Jan 28 2019, 4:43 PM
aborrero reopened this task as Open.Jan 28 2019, 4:56 PM

Reopening because I would like to clarify what are we going to do with them, to make it consistent with https://wikitech.wikimedia.org/wiki/Server_Lifecycle

aborrero renamed this task from labstore2001 & labstore2002: status clarification to labstore1001,1002,2001,2002: status clarification.Jan 28 2019, 5:09 PM
aborrero raised the priority of this task from Lowest to Low.
aborrero updated the task description. (Show Details)
aborrero moved this task from Graveyard to Inbox on the cloud-services-team (Kanban) board.

The have been keeping labstore1001 and labstore1002 around as cold spares for labstore1003. Labstore1003 will be replaced by T209527: Set up scratch and maps NFS services on cloudstore1008/9. See also T187456: Decommission labstore100[123] and their disk shelves.

The labstore200[1-4] will all be decommissioned when we have bought 2 new cloudstore boxes to replace their duty as offsite backup for the NFS servers ({T210666}).

And yes, this is all confusing and not documented in a single, easy to find place.

aborrero added a subscriber: RobH.Jan 29 2019, 4:37 PM

Ok, thanks for the clarification.

Then, I believe these servers should have the INVENTORY (instead of ACTIVE) status on Netbox. Could you @RobH please confirm?

aborrero reassigned this task from aborrero to RobH.Feb 19 2019, 12:06 PM
GTirloni removed a subscriber: GTirloni.Mar 21 2019, 9:11 PM